<script lang="ts" setup>
  import { Popover, PopoverButton, PopoverPanel } from '@headlessui/vue';

  const router = useRouter();

  const handleLeave = () => {
    window.dispatchEvent(new Event('beforeunload'));
    router.push('/rejoin');
  };
</script>

<template>
  <Popover class="relative">
    <PopoverButton class="outline-0">
      <SharedMoleculesSwButton variant="danger" rounded>
        <span class="i-sw-solid:phone rotate-[135deg] text-xl" />
      </SharedMoleculesSwButton>
    </PopoverButton>

    <Transition
      enter-active-class="transition ease-out duration-200"
      enter-from-class="opacity-0 translate-y-1"
      enter-to-class="opacity-100 translate-y-0"
      leave-active-class="transition ease-in duration-150"
      leave-from-class="opacity-100 translate-y-0"
      leave-to-class="opacity-0 translate-y-1"
    >
      <PopoverPanel
        class="shadow-5 bottom-18 absolute left-1/2 z-10 flex w-screen max-w-min -translate-x-1/2 gap-2 rounded-lg bg-white p-3 px-4"
      >
        <PopoverButton
          class="inline-flex items-center gap-x-1 text-sm font-semibold leading-6 text-gray-900"
        >
          <SharedMoleculesSwButton variant="action" class="font-medium">{{
            $t('cancel')
          }}</SharedMoleculesSwButton>
        </PopoverButton>

        <SharedMoleculesSwButton variant="danger" @click="handleLeave">{{
          $t('leave')
        }}</SharedMoleculesSwButton>
      </PopoverPanel>
    </Transition>
  </Popover>
</template>
